body, html { height: 100%; margin: 0; font-family: 'Lato', sans-serif; font-weight: 400; font-size: 14px; line-height: 21px;}
body { background-color: white; }    

.wrapper { display: flex; flex-direction: column; min-height: 100vh; } /* Ocupa toda a altura da tela */ 
  .header { width: 100%; border-top: 1px solid #999; border-bottom: 1px solid #999; padding: 5px; }

  .middle { flex: 1; } /* O conteúdo ocupa o espaço disponível, empurrando o footer */ 
    .conteudo { width: 100%; max-width: 1400px; margin: auto; padding: 0 20px;}
      .destaque { position: relative; background-color: #fff; height: 600px;}

        .destaque_img {position: absolute; top: 0; left: 0; width: 100%; background-color: #999;}
        .destaque_busca { position: absolute; top: 20px; left: 20px; background-color: white;   border-radius: 20px; padding: 5px; width: 450px; 
          h1{font-size: 22px; color: #007bff;}
        }
        .destaque_busca form { }

        .form_busca_item {padding:0 12px;}
        .form_busca_group {padding: 0 12px; margin-top: 0;}

        .destaque_busca label{display: block; margin-left: 16px; margin-top:8px;  margin-bottom: 8px; 
          font-size: 14px; color: #c0c1c1 /*#0bfb00*/; line-height: 1.5; }

        .busca-text { -webkit-appearance: none; -moz-appearance: none; 
          appearance: none; height: 43px; padding: 10px 38px 10px 16px; 
          background: #fff; background-size: 16px; transition: border-color .1s ease-in-out,box-shadow .1s ease-in-out; 
          border: 1px solid #ddd; border-radius: 3px; width: 100%; }

        .busca-select { -webkit-appearance: none; -moz-appearance: none; 
          appearance: none; height: 43px; padding: 10px 38px 10px 16px; 
          background: #fff url("../../assets/img/select-arrows.svg") no-repeat right 16px center; 
          background-size: 16px; transition: border-color .1s ease-in-out,box-shadow .1s ease-in-out; 
          border: 1px solid #ddd; border-radius: 3px; width: 100%; }

        .busca-select:hover { border: 1px solid #999; }
        .busca-select:focus { border: 1px solid #999; box-shadow: 0 3px 5px 0 rgba(0,0,0,.2); outline: none; }
                  /* remove default arrow in IE */
                  select::-ms-expand { display:none; }
                  /* DEMO STYLING */
        .busca-select { font-family: "Source Sans Pro", sans-serif; font-size: 1.4rem; }
        .busca-select option{margin-left: auto}

      .propaganda { background-color: #f7fff7; width: 100%; margin-top: 20px; line-height: 1.5; border-bottom: 2px solid #0bfb00;}
      .oportunidades {position: relative; background-color: #fff; width: 100%; }
        .imovel { position: relative; margin-top: 20px;}
          .imovel_foto {width: 100% /*560px*/; display: block; height: 284px; background-position: center; background-size: cover; left: 0}
      


  .footer { width: 100%; border-top: 2px solid #0bfb00; background-color: #ddd;}
    .footercontainer {  width: 100%; max-width: 1400px; margin: auto; padding: 20px; }







.carousel-container { width: 100%; margin: auto; position: relative; display: flex; flex-direction: column; gap: var(--lx-gap); height: 620px;
  .carousel { aspect-ratio: 16/9; width: 100%; position: relative; overflow: hidden; 
    .item { opacity: 0; width: 100%; height: 100%; display: none; transition: opacity 0.5s ease-in-out;
      img { width: 100%; height: 100%; object-fit: cover; object-position: center; }
      .caption { width: 100%; padding: var(--lx-space-01); position: absolute; bottom: 0; text-transform: uppercase; text-align: center; font-size: 12px; background-color: #007bff; color: white; }
      .imovel {position: absolute; top: 20px; right: 20px; padding: 20px; background-color:#007bff; text-align: right; border-radius: 20px; width: 250px; color: white; font-size: 22px; line-height: 1.5;}
      &.active { opacity: 1; display: block; }
    }
  }

  .btn { /*padding: 1em 2em; */position: absolute; transform: translateY(-50%); top: 50%; outline: none; border: none; cursor: pointer; text-transform: uppercase;
    font-size: 32px; font-weight: 900; color: #fff; background-color: rgba(0, 0, 0, 0.5); transition: transform 0.2s ease-in-out; border-radius: 25px;
    &:active, &:focus { transform: translateY(-50%) scale(0.9); }
    &:hover { transform: translateY(-50%) scale(0.96); }
  }
  .prev { left: 3px; }
  .next { right: 3px; }

  .dots { position: absolute; /*bottom: 0; */
    top: 98%; left: 50%; transform: translate(-98%, -50%); 
    display: flex; align-items: center; justify-content: center; gap: 10px;
    .dot { cursor: pointer; height: 10px; width: 10px; background-color: #242421; transition: background-color 0.2s ease;
      &.active, &:hover { background-color: #0bfb00; }
    }
  }
}















.menu-container { width: 100%; padding: 10px; }
.menu-list { list-style-type: none; margin: 0; padding: 0; display: flex; justify-content: flex-end; 
  gap: 15px; /*espaço entre itens*/ }
.menu-list li a { text-decoration: none; color: black; padding: 8px 12px; display: block; }
.menu-list li a:hover { background-color: #575757; border-radius: 4px; }

.headerright {display: flex; align-items: center; /*centraliza horizontalmente*/
   justify-content: center; /*cetraliza verticalmente*/ }

.botao-icone { background-color: #007bff; color: #ffffff; border: none; padding: 12px 24px; font-size: 16px; 
  font-weight: bold; border-radius: 6px; cursor: pointer; display: flex; align-items: center; justify-content: center; 
  gap: 10px; /* Espaço entre o ícone e o texto */ transition: background-color 0.3s ease, transform 0.1s; border-radius: 10px; }
.botao-icone i { font-size: 1.2em; /* Ajusta o tamanho do ícone */ }


.container { width: 100%; max-width: 1940px; margin: auto; padding: 20px;}
    .busca { width: 100%; max-width: 1940px; background-image: url('../../assets/img/VX12578003.jpg'); 
            background-size: cover; background-position: center; background-repeat: no-repeat;
          padding: 20px 20px;}

      .buscaform { background-color: white;   border-radius: 20px; padding: 5px;}

        .container-botoes { display: flex; /* Itens em linha */ gap: 5px; /* Espaçamento entre botões */ justify-content: center; /* Alinha (use center, flex-end ou flex-start) */ }
        .container-botoes { background-color:#bebebe; margin-left: 20px; border-radius: 20px; padding: 5px; width: 50%; margin-top: 20px;}
        .container-botoes button {border-radius: 20px; padding: 10px 20px; border: none; font-family: 'Lato', sans-serif; font-weight: 300;}

      .buscarimovel {display:block;}
          .alugar {display:block; padding: 20px;}
          .comprar {display: none; padding: 20px;}
          .alugarcomprar {}
            .alugarcomprar nav { display: flex; /* Ativa o Flexbox */  justify-content: flex-start; /* Alinha os itens à esquerda */  list-style: none; /* Remove bolinhas da lista */ padding: 0; margin: 0; }
            .alugarcomprar nav li{ display: inline; margin: 0 15px 0 0;}
            .alugarcomprar nav a{ color: #000000; font-size: 22px; text-decoration: none;}
            .alugarcomprar nav a:hover { color: red; text-decoration: underline; text-underline-offset: 10px; }

            .divMenu {border-style: solid; border-width: thin; border-color: #bab8b8;border-radius: 5px; margin-top: 5px; padding: 5px; margin: 20px;}
              /*titulos do menu*/
              .divMenu label{display: block; margin-bottom: 8px; /*font-family: Poppins-Regular; */font-size: 12px; color: #333333; line-height: 1.5; padding-left: 7px; }

              .custom-select { -webkit-appearance: none; -moz-appearance: none; appearance: none; height: 57px; padding: 10px 38px 10px 16px; 
                background: #fff url("select-arrows.svg") no-repeat right 16px center; background-size: 10px; transition: border-color .1s ease-in-out,box-shadow .1s ease-in-out; 
                border: 0px solid #ddd; border-radius: 3px; width: 100%; }

              .custom-select:hover { border: 1px solid #999; }
              .custom-select:focus { border: 1px solid #999; box-shadow: 0 3px 5px 0 rgba(0,0,0,.2); outline: none; }
              /* remove default arrow in IE */
              select::-ms-expand { display:none; }
              /* DEMO STYLING */

              .custom-select { font-family: "Source Sans Pro", sans-serif; font-size: 1.6rem; }
              .custom-select option{margin-left: auto}


            .divMenuBusca{border-style: solid; border-width: thin; border-color: #bab8b8;border-radius: 5px; 
              margin-top: 5px; padding: 5px; margin: 20px;}
            .divMenuBusca label{display: block; margin-bottom: 8px; font-size: 14px; 
              color: #333333; line-height: 1.5; padding-left: 7px; }

              .custombusca-select { -webkit-appearance: none; -moz-appearance: none; appearance: none; 
                padding: 10px 38px 10px 16px; background: #fff url("select-arrows.svg") no-repeat right 16px center;
                background-size: 10px; transition: border-color .1s ease-in-out,box-shadow .1s ease-in-out; 
                border: 0px solid #ddd; border-radius: 3px; width: 100%; }

              .custombusca-select:hover { border: 1px solid #999; }
              .custombusca-select:focus { border: 1px solid #999; box-shadow: 0 3px 5px 0 rgba(0,0,0,.2); outline: none; }
              /* remove default arrow in IE */
              select::-ms-expand { display:none; }
              /* DEMO STYLING */
              .custombusca-select { font-family: "Source Sans Pro", sans-serif; font-size: 1.2rem; }
              .custombusca-select option{margin-left: auto}




      .btn-enviar { background-color: #007bff; color: #ffffff; border: none; padding: 12px 24px; 
        font-size: 16px; font-weight: bold; border-radius: 6px; cursor: pointer; display: flex; 
        align-items: center; justify-content: center; gap: 10px; /* Espaço entre o ícone e o texto */ 
        transition: background-color 0.3s ease, transform 0.1s; border-radius: 10px; width: 100%;}
      /* Ajusta o tamanho do ícone */  
      /* .btn-enviar i { font-size: 1.2em;  } */

            

      .anunciarimovel {display: none;}




.footerpropaganda { width: 100%; /*text-align: right;*/}





.map-responsive{ overflow:hidden; padding-top: 10px; padding-bottom: 10px; /*padding-bottom:50%;*/  position:relative; /*height:500;*/ }
.map { width: 100%; height: 400px; background-color: grey; }
